import request from '@/utils/request'

// 查询物价记录列表
export function listProductPriceRecord(query) {
  return request({
    url: '/invest/productPriceRecord/list',
    method: 'get',
    params: query
  })
}

// 查询物价记录详细
export function getProductPriceRecord(id) {
  return request({
    url: '/invest/productPriceRecord/' + id,
    method: 'get'
  })
}

// 新增物价记录
export function addProductPriceRecord(data) {
  return request({
    url: '/invest/productPriceRecord',
    method: 'post',
    data
  })
}

// 修改物价记录
export function updateProductPriceRecord(data) {
  return request({
    url: '/invest/productPriceRecord',
    method: 'put',
    data
  })
}

// 删除物价记录
export function delProductPriceRecord(id) {
  return request({
    url: '/invest/productPriceRecord/' + id,
    method: 'delete'
  })
}
